Bug 660679 - (Mellanox5.7) Add IPoIB support in DHCP
Summary: (Mellanox5.7) Add IPoIB support in DHCP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcp
Version: 5.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: beta
: 5.7
Assignee: Jiri Popelka
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 660681
Blocks: 618260 661496 660684 694570
TreeView+ depends on / blocked
 
Reported: 2010-12-07 15:27 UTC by Vladimir Sokolovsky
Modified: 2011-07-21 10:58 UTC (History)
6 users (show)

Fixed In Version: dhcp-3.0.5-26.el5
Doc Type: Enhancement
Doc Text:
Clone Of:
: 660681 (view as bug list)
Environment:
Last Closed: 2011-07-21 10:58:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patches created against dhcp-3.0.5-23.el5 (7.86 KB, application/x-gzip)
2011-01-24 16:56 UTC, Vladimir Sokolovsky
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1038 0 normal SHIPPED_LIVE dhcp bug fix and enhancement update 2011-07-20 15:43:54 UTC

Description Vladimir Sokolovsky 2010-12-07 15:27:25 UTC
Description of problem:
DHCP does not support IPoIB interfaces

Expected results:
IPoIB interface: ib<N> interface to get the network configuration from the DHCP

Additional info:
Patch for DHCP will be provided soon by Mellanox

Comment 1 Vladimir Sokolovsky 2011-01-24 16:56:54 UTC
Created attachment 474995 [details]
Patches created against dhcp-3.0.5-23.el5

IPoIB-dhcp-3.0.5.tar.gz includes the following patches:

dhcp-3.0.5-gpxe-cid.patch
dhcp-3.0.5-improved-xid.patch
dhcp-3.0.5-lpf-ib.patch
dhcp-3.0.5-rhel55-2-gpxe.patch
dhcp-3.0.5-rhel55-2.patch
dhcp-3.0.5-rhel55-gpxe.patch
dhcp-3.0.5-rhel55.patch

Comment 4 Denise Dumas 2011-04-05 15:06:47 UTC
acking for Radek since he has left for the day

Comment 9 Jan Stodola 2011-06-06 05:47:27 UTC
Tested on build RHEL5.7-Server-20110601.0 with:
dhcp-3.0.5-29.el5
dhclient-3.0.5-29.el5

Both dhcp server and dhcp client are running fine on IB interfaces:

[root@rdma9 ~]# dhclient ib0
Internet Systems Consortium DHCP Client V3.0.5-RedHat
Copyright 2004-2006 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/

Listening on LPF/ib0/
Sending on   LPF/ib0/
Sending on   Socket/fallback
xid: rand init seed (0xea6c378b) built using all available interfaces
DHCPDISCOVER on ib0 to 255.255.255.255 port 67 interval 5 (xid=0x1549770b)
DHCPOFFER from 192.168.0.1
DHCPREQUEST on ib0 to 255.255.255.255 port 67 (xid=0x1549770b)
DHCPACK from 192.168.0.1 (xid=0x1549770b)
bound to 192.168.0.254 -- renewal in 9682 seconds.

[root@rdma9 ~]# ip addr show ib0
6: ib0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 2044 qdisc pfifo_fast qlen 256
    link/infiniband 80:00:04:04:fe:80:00:00:00:00:00:00:00:02:c9:02:00:00:66:45 brd 00:ff:ff:ff:ff:12:40:1b:ff:ff:00:00:00:00:00:00:ff:ff:ff:ff
    inet 192.168.0.254/24 brd 192.168.0.255 scope global ib0
    inet6 fe80::202:c902:0:6645/64 scope link 
       valid_lft forever preferred_lft forever

Moving to VERIFIED.

Comment 11 errata-xmlrpc 2011-07-21 10:58:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1038.html


Note You need to log in before you can comment on or make changes to this bug.